@font-face {
  font-family: "Lato";
  src: url("/fonts/lato-light-webfont.eot");
  src: url("/fonts/lato-light-webfont.eot?#iefix") format("embedded-opentype"), url("/fonts/lato-light-webfont.woff") format("woff"), url("/fonts/lato-light-webfont.ttf") format("truetype"), url("/fonts/lato-light-webfont.svg#Lato") format("svg");
  font-style: normal;
  font-weight: 300; }

html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  font-family: "Lato", "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-weight: 300;
  vertical-align: baseline; }

/* apply a natural box layout model to all elements, but allowing components to change */
html {
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box; }

*,
*:before,
*:after {
  -webkit-box-sizing: inherit;
     -moz-box-sizing: inherit;
          box-sizing: inherit; }

article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
  display: block; }

body {
  line-height: 1;
  text-rendering: geometricPrecision; }

ol, ul {
  list-style: none; }

blockquote, q {
  quotes: none; }

blockquote:before, blockquote:after {
  content: "";
  content: none; }

q:before, q:after {
  content: "";
  content: none; }

table {
  border-collapse: collapse;
  border-spacing: 0; }

body {
  background-image: url("/assets/img/purplecoding.jpg");
  -webkit-background-size: cover;
     -moz-background-size: cover;
       -o-background-size: cover;
          background-size: cover;
  background-attachment: fixed;
  overflow-x: hidden; }

html {
  font-size: 18px; }

body {
  line-height: 1.6rem; }

h1 {
  font-size: 2.25rem;
  line-height: 3rem;
  text-indent: -12px; }

h2 {
  font-size: 2rem; }

h3 {
  font-size: 1.5rem; }

.header {
  position: relative;
  width: 100%;
  color: #fafafa; }
  .header__title {
    color: #fafafa;
    text-align: center; }
  .header__body {
    background-color: rgba(250, 250, 250, 0.1);
    color: #fafafa;
    -webkit-border-radius: 6px;
       -moz-border-radius: 6px;
            border-radius: 6px;
    margin-top: 32px;
    margin-bottom: 32px;
    padding: 32px; }
    .header__body p {
      padding-bottom: 16px; }
      .header__body p:last-of-type {
        padding-bottom: 0; }

.footer__content {
  position: absolute;
  bottom: 0;
  left: 50%;
  -webkit-transform: translateX(-50%);
     -moz-transform: translateX(-50%);
      -ms-transform: translateX(-50%);
       -o-transform: translateX(-50%);
          transform: translateX(-50%);
  text-align: center;
  font-size: 12px; }

.container {
  max-width: 960px;
  width: 90%;
  margin: auto; }
  .container--small {
    max-width: 640px; }
  .container--spaced {
    margin-top: 32px; }
  .container .row {
    zoom: 1; }
    .container .row:before, .container .row:after {
      content: "\0020";
      display: block;
      overflow: hidden;
      visibility: hidden;
      width: 0;
      height: 0; }
    .container .row:after {
      clear: both; }
    .container .row .col-1 {
      width: 6.31667%; }
    .container .row .col-2 {
      width: 14.83333%; }
    .container .row .col-3 {
      width: 23.35%; }
    .container .row .col-4 {
      width: 31.86667%; }
    .container .row .col-5 {
      width: 40.38333%; }
    .container .row .col-6 {
      width: 48.9%; }
    .container .row .col-7 {
      width: 57.41667%; }
    .container .row .col-8 {
      width: 65.93333%; }
    .container .row .col-9 {
      width: 74.45%; }
    .container .row .col-10 {
      width: 82.96667%; }
    .container .row .col-11 {
      width: 91.48333%; }
    .container .row .col-12 {
      width: 100%; }
    @media screen and (max-width: 768px) {
      .container .row--no-margin--mobile {
        margin: 0 !important; } }
    .container .row:not(:first-child) {
      margin-top: 2.2%; }
    .container .row [class^="col-"] {
      float: left;
      margin-right: 2.2%; }
      @media screen and (max-width: 768px) {
        .container .row [class^="col-"] {
          width: 100%; } }
      .container .row [class^="col-"]:last-child {
        margin-right: 0%; }

.skills__item__image {
  display: block;
  width: 45%;
  height: auto;
  margin: 0 auto; }

.skills__item__body {
  text-align: center;
  color: #030303;
  margin-top: 32px; }
  .skills__item__body__title {
    font-size: 1.5rem; }

@media screen and (max-width: 768px) {
  .skills__item {
    margin-bottom: 86px; }
    .skills__item:last-of-type {
      margin-bottom: 0; }
    .skills__item__image {
      width: 40%; } }

.portfolio {
  position: relative;
  background-color: #fafafa;
  -webkit-border-radius: 6px;
     -moz-border-radius: 6px;
          border-radius: 6px; }
  .portfolio__item {
    position: relative; }
    .portfolio__item__navigation {
      position: relative;
      width: 100%;
      height: 32px;
      -webkit-box-shadow: 0px 2px 4px 0px rgba(50, 50, 50, 0.15);
         -moz-box-shadow: 0px 2px 4px 0px rgba(50, 50, 50, 0.15);
              box-shadow: 0px 2px 4px 0px rgba(50, 50, 50, 0.15);
      z-index: 2; }
      .portfolio__item__navigation__buttons {
        position: absolute;
        top: 50%;
        left: 3px;
        -webkit-transform: translateY(-50%);
           -moz-transform: translateY(-50%);
            -ms-transform: translateY(-50%);
             -o-transform: translateY(-50%);
                transform: translateY(-50%); }
        .portfolio__item__navigation__buttons__button {
          position: absolute;
          top: 50%;
          -webkit-transform: translateY(-50%);
             -moz-transform: translateY(-50%);
              -ms-transform: translateY(-50%);
               -o-transform: translateY(-50%);
                  transform: translateY(-50%);
          width: 12px;
          height: 12px;
          -webkit-border-radius: 50%;
             -moz-border-radius: 50%;
                  border-radius: 50%; }
          .portfolio__item__navigation__buttons__button--red {
            background-color: #F44336;
            left: 4px; }
          .portfolio__item__navigation__buttons__button--orange {
            background-color: #FF9800;
            left: 24px; }
          .portfolio__item__navigation__buttons__button--green {
            background-color: #4CAF50;
            left: 44px; }
      .portfolio__item__navigation__link {
        position: absolute;
        text-align: center;
        top: 50%;
        left: 50%;
        -webkit-transform: translate(-50%, -50%);
           -moz-transform: translate(-50%, -50%);
            -ms-transform: translate(-50%, -50%);
             -o-transform: translate(-50%, -50%);
                transform: translate(-50%, -50%); }
        .portfolio__item__navigation__link a {
          background-color: #E1E1E1;
          padding: 1px 25px;
          -webkit-border-radius: 7px;
             -moz-border-radius: 7px;
                  border-radius: 7px;
          color: black;
          text-decoration: none;
          font-size: 13px; }
    .portfolio__item__container {
      position: relative;
      width: 100%;
      overflow-y: auto; }
      .portfolio__item__container:after {
        display: block;
        content: '';
        padding-bottom: 56.25%; }
      .portfolio__item__container__image {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: auto; }
    .portfolio__item__footer {
      width: 100%;
      padding: 32px;
      -webkit-box-shadow: 0px -2px 4px 0px rgba(50, 50, 50, 0.15);
         -moz-box-shadow: 0px -2px 4px 0px rgba(50, 50, 50, 0.15);
              box-shadow: 0px -2px 4px 0px rgba(50, 50, 50, 0.15);
      z-index: 2; }
      .portfolio__item__footer__content {
        position: relative; }
        .portfolio__item__footer__content__title {
          margin-bottom: 32px; }
        .portfolio__item__footer__content__body {
          margin-bottom: 32px; }
        .portfolio__item__footer__content__link a {
          color: #55395e;
          text-decoration: none; }
          .portfolio__item__footer__content__link a:hover {
            text-decoration: underline; }

.block {
  position: relative;
  padding: 128px 0;
  background-color: #fafafa; }
  .block--slanted {
    padding: 86px 0; }
    .block--slanted__top--left {
      margin-top: 24px; }
      .block--slanted__top--left:before {
        z-index: 10;
        content: '';
        position: absolute;
        left: 0;
        top: -42px;
        width: 100%;
        height: 86px;
        background: #fafafa;
        -webkit-transform: translateZ(1px) skewY(1.25deg);
           -moz-transform: translateZ(1px) skewY(1.25deg);
                transform: translateZ(1px) skewY(1.25deg);
        -webkit-backface-visibility: hidden;
           -moz-backface-visibility: hidden;
                backface-visibility: hidden;
        outline: 1px solid transparent; }
    .block--slanted__top--right {
      margin-top: 24px; }
      .block--slanted__top--right:before {
        z-index: 10;
        content: '';
        position: absolute;
        left: 0;
        top: -42px;
        width: 100%;
        height: 86px;
        background: #fafafa;
        -webkit-transform: translateZ(1px) skewY(-1.25deg);
           -moz-transform: translateZ(1px) skewY(-1.25deg);
                transform: translateZ(1px) skewY(-1.25deg);
        -webkit-backface-visibility: hidden;
           -moz-backface-visibility: hidden;
                backface-visibility: hidden;
        outline: 1px solid transparent; }
    .block--slanted__bottom--left {
      margin-bottom: 24px; }
      .block--slanted__bottom--left:after {
        z-index: 10;
        content: '';
        position: absolute;
        left: 0;
        bottom: -42px;
        width: 100%;
        height: 86px;
        background: #fafafa;
        -webkit-transform: translateZ(1px) skewY(1.25deg);
           -moz-transform: translateZ(1px) skewY(1.25deg);
                transform: translateZ(1px) skewY(1.25deg);
        -webkit-backface-visibility: hidden;
           -moz-backface-visibility: hidden;
                backface-visibility: hidden;
        outline: 1px solid transparent; }
    .block--slanted__bottom--right {
      margin-bottom: 24px; }
      .block--slanted__bottom--right:after {
        z-index: 10;
        content: '';
        position: absolute;
        left: 0;
        bottom: -42px;
        width: 100%;
        height: 86px;
        background: #fafafa;
        -webkit-transform: translateZ(1px) skewY(-1.25deg);
           -moz-transform: translateZ(1px) skewY(-1.25deg);
                transform: translateZ(1px) skewY(-1.25deg);
        -webkit-backface-visibility: hidden;
           -moz-backface-visibility: hidden;
                backface-visibility: hidden;
        outline: 1px solid transparent; }
  .block__body {
    z-index: 11;
    position: relative; }
  .block__title {
    color: #000;
    text-align: center;
    width: 80%;
    margin: 0 auto 42px auto; }
    .block__title--white {
      color: #fafafa; }
  .block--purple {
    background-color: rgba(85, 57, 94, 0.2); }

.skills, .portfolio {
  opacity: 0;
  -webkit-transition: opacity .7s ease;
  -moz-transition: opacity .7s ease;
  -o-transition: opacity .7s ease;
  transition: opacity .7s ease; }

.block-top {
  height: 0;
  border-width: 0 0 154px 2330px;
  border-style: solid;
  border-color: #ffffff rgba(85, 57, 94, 0.7) rgba(85, 57, 94, 0.7) #ffffff; }

.contact {
  text-align: center; }
  .contact__item {
    position: relative; }
    .contact__item a {
      color: #55395e;
      text-decoration: none; }
      .contact__item a:hover {
        text-decoration: underline; }
    .contact__item__icon {
      width: 17px;
      height: auto;
      position: absolute;
      left: -42px;
      top: 4px; }

.language-selector {
  position: absolute;
  top: 6px;
  right: 12px;
  color: #fafafa; }
  .language-selector__item {
    text-decoration: none;
    padding: 0 2px;
    color: inherit; }
    .language-selector__item--active, .language-selector__item:hover {
      border-bottom: 1px solid #fafafa; }
